Package com.sas.lsaf.workflow.processflow.setup

## Class SignalEventSetup

- java.lang.Object
- - com.sas.lsaf.workflow.processflow.setup.ElementSetup
  - - com.sas.lsaf.workflow.processflow.setup.EventSetup
    - - com.sas.lsaf.workflow.processflow.setup.SignalEventSetup

- All Implemented Interfaces:
    `java.io.Serializable`

      public class SignalEventSetup
      extends EventSetup

  The class that specifies the setup information for IntermediateSignalCatchEvent elements that are in a process flow.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.sas.lsaf.workflow.processflow.setup.ElementSetup

      `description, name`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SignalEventSetup​(java.lang.String name, java.lang.String description, java.lang.String elementId, Element.ElementType type, java.lang.String processFlowId, java.lang.String signalName, java.util.Set<java.lang.String> locations)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.util.Set<java.lang.String>` | `getLocations()` | Gets the locations that trigger the signal event.
    `java.lang.String` | `getSignalName()` | Gets the signal name of the signal event.
    `int` | `hashCode()` |
    `void` | `setLocations​(java.util.Set<java.lang.String> locations)` | Sets the locations that trigger the signal event.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.workflow.processflow.setup.ElementSetup

      `getDescription, getElementId, getName, getProcessFlowIdentifier, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SignalEventSetup

          public SignalEventSetup​(java.lang.String name,
                                  java.lang.String description,
                                  java.lang.String elementId,
                                  Element.ElementType type,
                                  java.lang.String processFlowId,
                                  java.lang.String signalName,
                                  java.util.Set<java.lang.String> locations)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the elements returned by the API.
      Parameters:
        `name` - The name of the element.
        `description` - The description of the element.
        `elementId` - The identifier of the event as it appears in the process flow definition.
        `type` - The type of the element.
        `processFlowId` - The identifier of the process flow that contains the element.
        `signalName` - The signal name that triggers the signal element.
        `locations` - The locations that trigger the signal element.

  - ### Method Detail

    - #### getLocations

          public java.util.Set<java.lang.String> getLocations()

      Gets the locations that trigger the signal event.
      Returns:
        The locations.

    - #### setLocations

          public void setLocations​(java.util.Set<java.lang.String> locations)

      Sets the locations that trigger the signal event.
      Parameters:
        `locations` - The locations that trigger the signal event.

    - #### getSignalName

          public java.lang.String getSignalName()

      Gets the signal name of the signal event.
      Returns:
        The signal name.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `EventSetup`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `EventSetup`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `EventSetup`